<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Test platform</title>
    <script
            src="https://code.jquery.com/jquery-3.6.0.min.js"
            integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
            crossorigin="anonymous"></script>
    <script src="node_modules/jquery.json-viewer/json-viewer/jquery.json-viewer.js"></script>
    <link href="node_modules/jquery.json-viewer/json-viewer/jquery.json-viewer.css" type="text/css" rel="stylesheet">

</head>
<body>
<label for="app-id">App Id </label><input id="app-id" type="number" step="1"><br>
<label for="service-token">Service token </label><input id="service-token"><br>
<label for="info-by-system">Использовать GetProfileInfoBySilentToken</label><input id="info-by-system" type="checkbox">
<button id="auth">Авторизовать</button>
<pre id="json-front"></pre>
<pre id="json-back"></pre>
</body>
<script type="module">
    import {Config, Connect} from './node_modules/@vkontakte/superappkit/dist/index.js';

    //Sample usage
    let appId = localStorage.getItem('appId');
    if (!appId) {
        appId = '8038546';
    }
    console.log(appId);

    function getAppId() {
        let appId = document.getElementById('app-id').value;
        if (!appId) {
            appId = localStorage.getItem('appId')
            if (!appId) {
                appId = '8038546';
            }
        }
        return appId;
    }

    function getServiceToken() {
        let serviceToken = document.getElementById('service-token').value;
        if (!serviceToken) {
            serviceToken = localStorage.getItem('serviceToken')
            if (!serviceToken) {
                serviceToken = '****';
            }
        }
        return serviceToken;
    }

    document.getElementById('app-id').value = getAppId();
    document.getElementById('service-token').value = getServiceToken();

    document.getElementById('auth').onclick = function (e) {
        let appId = getAppId();
        localStorage.setItem('appId', appId)
        document.getElementById('app-id').value = appId;

        let ConfigInitParams = {
            appId: appId, //  идентификатор приложения, созданного на платформе для разработчиков
        }

        Config.init(ConfigInitParams); // настройка конфига
        Connect.userVisibleAuth().then(onAuthData, onAuthError);
    };

    // В onAuthData callback-функции в аргументе data будет содержаться
    // информация об авторизации
    function onAuthData(data) {
        console.log(data);
        $('#json-front').jsonViewer(data);


        const serviceToken = getServiceToken();
        localStorage.setItem('serviceToken', serviceToken)
        document.getElementById('service-token').value = serviceToken;
        $.ajax({
            url: 'index.php',
            data: {
                accessToken: serviceToken,
                silentToken: data['payload']['token'],
                uid: data['payload']['uuid'],
                info: document.getElementById('info-by-system').checked
            },
            success: function (backData) {
                console.log(backData)
                $('#json-back').jsonViewer(backData);
            }
        });

    }

    // В случае ошибки, будет вызвана on AuthError callback-функция
    // Поле error.code может иметь следующие значения из enum ERROR_CODES
    // CONNECT_WINDOW_CLOSED = 7 - окно авторизации закрылось
    // CONNECT_WINDOW_NOT_OPENED = 8 - окно авторизации не было открыто
    // CONNECT_DOMAIN_NOT_ALLOWED= 9 - хост окна авторизации некорректный
    // CONNECT_UNKNOWN_SDK_MESSAGE = 10 - неизвестное сообщение от SDK

    function onAuthError(error) {
        console.error(error);
    }

</script>
</html>